/*
 * Created on Oct 26, 2005
 */
package se.umu.jobsubmission.impl.datamanager;

import java.net.URL;
import java.util.List;

import org.apache.log4j.Logger;
import org.ggf.schemas.jsdl._2005._06.jsdl.JobDefinition_Type;
import org.globus.mds.glue.GLUECERPType;

/**
 * @author tordsson
 *
 * DataManager for LCG2, or actually, for GT2. 
 * As GRAM2 does not implement input file staging, we must implement this. 
 *
 */
public class GridFTPDataManager implements DataManager {
	
	private static Logger logger = Logger.getLogger(GridFTPDataManager.class); 


	/**
	 * As Job Submission Service and client need share a file system, 
	 * translate file:/// to gsiftp://localhost:2811/ before staging 
	 * all input files. 
	 */
	public void stageIn(GLUECERPType resource, 
			JobDefinition_Type jobDescription,
			String clientURL) throws Exception { 
		return; 
	}

	public void transfer(URL to, URL from) { } 

	public int estimateTransferTime(URL to, URL from) {
		return -1; 
	}
	public List resolveLocations(URL lfn) {
		return null; 
	}
}
