/*
 * Created on Oct 18, 2005
 *
 */
package se.umu.jobsubmission.client;

import java.io.FileInputStream;

import javax.xml.namespace.QName;

import se.umu.jobsubmission.util.JobDescriptionTranslator;
import org.ggf.schemas.jsdl._2005._06.jsdl.JobDefinition_Type;
import se.umu.wsag.util.JobSubmissionUtils;

/**
 * @author tordsson
 * 
 * Parse (deserialize) a JSDL file and return the resulting 
 * JSDL document. Allows users to specify their jobs 
 * directly in JSDL. 
 *
 */
public class JSDL2JSDL implements JobDescriptionTranslator {
	
	
	public Object translate(Object jobDescription) throws Exception {
		
		String fileName = (String) jobDescription; 
		
		QName configQName = JobDefinition_Type.getTypeDesc().getXmlType(); 
		FileInputStream input = new FileInputStream(fileName); 
		
		return (JobDefinition_Type) JobSubmissionUtils.deserialize(
				input, configQName, JobDefinition_Type.class); 
		
	}

}
